import request from '@/utils/request'

// 租户列表
export function tenant(data) {
	return request({
		url: '/admin/v1/tenant',
		method: 'post',
		data,
	})
}
// 租户添加
export function tenantAdd(data) {
	return request({
		url: '/admin/v1/tenant/add',
		method: 'post',
		data,
	})
}
// 租户修改
export function tenantEdit(data) {
	return request({
		url: '/admin/v1/tenant/edit',
		method: 'post',
		data,
	})
}
// 租户删除
export function tenantDelete(data) {
	return request({
		url: '/admin/v1/tenant/delete',
		method: 'post',
		data,
	})
}
// 租户筛选
export function tenantSelect() {
	return request({
		url: '/admin/v1/tenant/select',
	})
}
// 租户人员
export function tenantMember(data) {
	return request({
		url: '/admin/v1/tenant/member',
		method: 'post',
		data,
	})
}
// 租户人员绑定 - 账号绑定
export function tenantMemberBind(data) {
	return request({
		url: '/admin/v1/tenant/member/bind',
		method: 'post',
		data,
	})
}
